Subject: Re: [V3] powerpc/irq: Enable some more exceptions in /proc/interrupts interface

From: Anshuman Khandual <[email-masked]>
Date: Wed, 19 Aug 2015 19:24:22 +0530

On 08/14/2015 08:22 AM, Michael Ellerman wrote:
> On Thu, 2015-08-06 at 18:54 +0530, Anshuman Khandual wrote:
>> On 08/04/2015 03:27 PM, Michael Ellerman wrote:
>>> On Mon, 2015-13-07 at 08:16:06 UTC, Anshuman Khandual wrote:
>>>> This patch enables facility unavailable exceptions for generic facility,
>>>> FPU, ALTIVEC and VSX in /proc/interrupts listing by incrementing their
>>>> newly added IRQ statistical counters as and when these exceptions happen.
>>>> This also adds couple of helper functions which will be called from within
>>>> the interrupt handler context to update their statistics. Similarly this
>>>> patch also enables alignment and program check exceptions as well.
>>>
>>> ...
>>>
>>>> diff --git a/arch/powerpc/kernel/exceptions-64s.S b/arch/powerpc/kernel/exceptions-64s.S
>>>> index 0a0399c2..a86180c 100644
>>>> --- a/arch/powerpc/kernel/exceptions-64s.S
>>>> +++ b/arch/powerpc/kernel/exceptions-64s.S
>>>> @@ -1158,6 +1158,7 @@ BEGIN_FTR_SECTION
>>>>  END_FTR_SECTION_IFSET(CPU_FTR_TM)
>>>>  #endif
>>>>  	bl	load_up_fpu
>>>> +	bl	fpu_unav_exceptions_count
>>>
>>> Is it safe to call C code here?
>>
>> Hmm, is it not ? I had that question but was not really sure. Dont
>> understand the difference between 'fast_exception_return' and
>> 'ret_from_except' completely.
> 
> If you're "not really sure" it's correct, please say so in the change log!

Yeah I should have written that up some where after the commit
message (after "---"). Its my bad, will take care of this next
time around.

> 
> I'd rather you didn't send me patches with possibly subtle bugs in core code.

Michael, I understand your concern. I was just trying to add
new entries in there which would help us. Wondering whats our
plan for this patch, if we change it as I had proposed earlier,
will it be good enough.